### Struct

# Camel ContentType

#### Description

    struct CamelContentType {
      gchar* type;
      gchar* subtype;
      _camel_header_param* params;
      guint refcount;
    }

No description available.

###### Structure members

`type:` `gchar*`

  No description available.

`subtype:` `gchar*`

  No description available.

`params:` `_camel_header_param*`

  No description available.

`refcount:` `guint`

  No description available.

#### Constructors

###### camel_content_type_new

Create a new `CamelContentType`.

#### Functions

###### camel_content_type_decode

No description available.

#### Instance methods

###### camel_content_type_dump

No description available.

###### camel_content_type_format

No description available.

###### camel_content_type_is

The subtype of “*” will match any subtype. If `ct` is `NULL`, then it will match the type “text/plain”.

###### camel_content_type_param

Searches the params on s `CamelContentType` for a param named `name` and gets the value.

###### camel_content_type_ref

Refs the content type.

###### camel_content_type_set_param

Set a parameter on `content_type`.

###### camel_content_type_simple

No description available.

###### camel_content_type_unref

Unrefs, and potentially frees, the content type.